## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathFactory.hpp File Reference

Include dependency graph for XPathFactory.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- class XPathFactory
- struct XPathFactory::DeleteXPathFunctor
    A functor for use with stl algorithms. More...
- class XPathGuard
    Manages the lifetime of an XPath instance. More...

## Defines

- #define XPATHFACTORY_HEADER_GUARD_1357924680

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class XPath

## Define Documentation

#define XPATHFACTORY_HEADER_GUARD_1357924680

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class XPath

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.